Kerbal Space Program - Bug #2816

Uneven Fuel Flow/Fuel flowing through objects that do not allow crossfeeding
07/20/2014 08:40 PM - Tentuk

Status: Closed Start date: 07/20/2014
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.24 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

I have built two craft that had the issue of fuel flowing in undesired ways. The first consisted of three engines on three separate fuel
tanks in the same stage without fuel lines. All three engines used fuel from one tank, when that tank emptied two engines took fuel
from their respective tanks (first pic). The second craft used asparagus staging in the first stage. One the sections would drain fuel
faster the section opposite of it resulting in the craft flipping because of the change of center of mass. All engines for both crafts were
at 100% throttle

History

#1 - 11/18/2014 09:45 AM - Red_Iron_Crown

- Status changed from New to Need More Info

The first pictured craft is exhibiting expected behavior, all parts between the radial engines and the center stack allow fuel crossfeed and a valid
crossfeed path exists. The confusion arises because fuel tanks will not search radially attached parts for fuel crossfeed while other parts will, i.e. if you
replaced the Science Jrs with fuel tanks the radial engines would not draw fuel from the center stack.

It is hard to see what is happening in the second pictured craft, are you able to post the craft file?

#3 - 07/17/2016 09:26 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#4 - 08/09/2016 10:56 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http:/forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
